<?php
/**
 * TOP API: alibaba.alihealth.drug.msc.getentinfo request
 * 
 * @author auto create
 * @since 1.0, 2025.09.01
 */
class AlibabaAlihealthDrugMscGetentinfoRequest
{
	/** 
	 * 企业名称
	 **/
	private $entName;
	
	/** 
	 * 调用者企业唯一标识
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setEntName($entName)
	{
		$this->entName = $entName;
		$this->apiParas["ent_name"] = $entName;
	}

	public function getEntName()
	{
		return $this->entName;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drug.msc.getentinfo";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->entName,"entName");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
